Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.http
Class HTTPMetadataConstants

    java.lang.Object
      org.jboss.remoting.transport.http.HTTPMetadataConstants

    public class HTTPMetadataConstants

extends java.lang.Object

There is some metadata that can be expected to be found in the metadata passed to the server invoker handlers for http transports. This class contains the constants for the keys to these values.

Author:
  Tom Elrod

Field Summary
`static java.lang.String` | `CONTENTTYPE`
`static java.lang.String` | `HTTPVERSION`
`static java.lang.String` | `METHODTYPE`
`static java.lang.String` | `NO_THROW_ON_ERROR` Configuration key for indicating if http client invoker should throw exception on error from server or just return the error as the response.
`static java.lang.String` | `PATH`
`static java.lang.String` | `REMOTING_LEASE_QUERY`
`static java.lang.String` | `REMOTING_LEASE_QUERY_LOWER_CASE`
`static java.lang.String` | `REMOTING_USER_AGENT`
`static java.lang.String` | `REMOTING_VERSION_HEADER`
`static java.lang.String` | `RESPONSE_CODE`
`static java.lang.String` | `RESPONSE_CODE_MESSAGE`
`static java.lang.String` | `RETURN_EXCEPTION` Configuration key for indicating that servlet invoker should return actual exception thrown by invocation handler.

Constructor Summary
`HTTPMetadataConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### METHODTYPE

    public static final java.lang.String METHODTYPE

See Also:
  Constant Field Values

### PATH

    public static final java.lang.String PATH

See Also:
  Constant Field Values

### HTTPVERSION

    public static final java.lang.String HTTPVERSION

See Also:
  Constant Field Values

### RESPONSE_CODE

    public static final java.lang.String RESPONSE_CODE

See Also:
  Constant Field Values

### CONTENTTYPE

    public static final java.lang.String CONTENTTYPE

See Also:
  Constant Field Values

### RESPONSE_CODE_MESSAGE

    public static final java.lang.String RESPONSE_CODE_MESSAGE

See Also:
  Constant Field Values

### REMOTING_VERSION_HEADER

    public static final java.lang.String REMOTING_VERSION_HEADER

See Also:
  Constant Field Values

### REMOTING_USER_AGENT

    public static final java.lang.String REMOTING_USER_AGENT

See Also:
  Constant Field Values

### REMOTING_LEASE_QUERY

    public static final java.lang.String REMOTING_LEASE_QUERY

See Also:
  Constant Field Values

### REMOTING_LEASE_QUERY_LOWER_CASE

    public static final java.lang.String REMOTING_LEASE_QUERY_LOWER_CASE

See Also:
  Constant Field Values

### NO_THROW_ON_ERROR

    public static final java.lang.String NO_THROW_ON_ERROR

  Configuration key for indicating if http client invoker should throw exception on error from server or just return the error as the response.

  See Also:
    Constant Field Values

### RETURN_EXCEPTION

    public static final java.lang.String RETURN_EXCEPTION

  Configuration key for indicating that servlet invoker should return actual exception thrown by invocation handler.

  See Also:
    Constant Field Values

Constructor Detail

### HTTPMetadataConstants

    public HTTPMetadataConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.